Bug 184243 - BUG at arch/i386/mm/hypervisor.c:385
BUG at arch/i386/mm/hypervisor.c:385
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
:
Depends On:
Blocks: 185595
  Show dependency treegraph
 
Reported: 2006-03-07 12:31 EST by Brian Brock
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-08 17:02:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Brock 2006-03-07 12:31:09 EST
kernel BUG at arch/i386/mm/hypervisor.c:385!

2.6.15-1.2025_FC5xen0

encountered while running Xen test CD tests, attempting to reproduce and narrow
problem to a single test.

[many, many repetitions of the following 2 lines]
xen_net: Memory squeeze in netback driver.
printk: 4 messages suppressed.
xen_net: Memory squeeze in netback driver.
audit(1141732045.946:402): avc:  denied  { write } for  pid=1005
comm="dmidecode" name="output-dmi" dev=sda2 ino=15532999
scontext=root:system_r:dmidecode_t:s0-s0:c0.c255
tcontext=root:object_r:user_home_t:s0 tclass=file
audit(1141732045.950:403): avc:  denied  { getattr } for  pid=1005
comm="dmidecode" name="output-dmi" dev=sda2 ino=15532999
scontext=root:system_r:dmidecode_t:s0-s0:c0.c255
tcontext=root:object_r:user_home_t:s0 tclass=file
audit(1141732046.926:404): avc:  denied  { write } for  pid=1016 comm="blockdev"
name="err-domU-IO" dev=sda2 ino=15533004
scontext=root:system_r:fsadm_t:s0-s0:c0.c255
tcontext=root:object_r:user_home_t:s0 tclass=file
device-mapper: dm-snapshot: requires exactly 4 arguments
device-mapper: error adding target to table
audit(1141732047.362:405): avc:  denied  { write } for  pid=1029 comm="mount"
name="output-domU-IO" dev=sda2 ino=15533003
scontext=root:system_r:mount_t:s0-s0:c0.c255
tcontext=root:object_r:user_home_t:s0 tclass=file
hfs: unable to find HFS+ superblock
audit(1141732047.562:406): avc:  denied  { write } for  pid=1045 comm="blockdev"
name="err-domU-IO" dev=sda2 ino=15533004
scontext=root:system_r:fsadm_t:s0-s0:c0.c255
tcontext=root:object_r:user_home_t:s0 tclass=file
hfs: unable to find HFS+ superblock
device-mapper: dm-snapshot: requires exactly 4 arguments
device-mapper: error adding target to table
hfs: unable to find HFS+ superblock
hfs: unable to find HFS+ superblock
------------[ cut here ]------------
kernel BUG at arch/i386/mm/hypervisor.c:385!
invalid opcode: 0000 [#1]
SMP 
Modules linked in: nls_utf8 hfsplus dm_snapshot xt_physdev iptable_filter
ip_tables loop x_tables nfs lockd nfs_acl bridge ipv6 autofs4 hidp rfcomm l2cap
bluetooth sunrpc dm_mirror usb_storage dm_mod video button battery ac lp
parport_pc parport nvram ehci_hcd uhci_hcd ohci1394 ieee1394 sg snd_hda_intel
3c59x snd_hda_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq mii
snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore
snd_page_alloc i2c_i801 i2c_core ext3 jbd ata_piix libata sd_mod scsi_mod
CPU:    0
EIP:    0061:[<c0115259>]    Not tainted VLI
EFLAGS: 00210096   (2.6.15-1.2025_FC5xen0 #1) 
EIP is at xen_create_contiguous_region+0x300/0x399
eax: ffffffff   ebx: 00000006   ecx: f0e41c6c   edx: c0777000
esi: 03ccc000   edi: 00003ccc   ebp: c3ccc000   esp: f0e41c28
ds: 007b   es: 007b   ss: 0069
Process python (pid: 2588, threadinfo=f0e40000 task=f2c84690)
Stack: <0>cd0fa2fc f0e41c6c 00003ccc 00000004 00000000 0000f330 cd0fa2f8 00000000 
       00004000 00000000 00000000 00000000 00000000 00000000 c3ccc000 c0650404 
       00004000 f0e41c80 00000001 00000000 00000000 00007ff0 00003ccc c3ccc000 
Call Trace:
 [<c0235764>] skbuff_ctor+0x24/0x4f
 [<c01570ae>] cache_alloc_debugcheck_after+0xf1/0xfb
 [<c0157182>] kmem_cache_alloc+0xca/0xd5
 [<c029e218>] alloc_skb_from_cache+0x41/0xf5
 [<c029e218>] alloc_skb_from_cache+0x41/0xf5
 [<c029e218>] alloc_skb_from_cache+0x41/0xf5
 [<c023585b>] __alloc_skb+0x70/0x75
 [<c029b082>] sock_alloc_send_skb+0x5b/0x1a0
 [<c01aaee4>] socket_has_perm+0x54/0x5f
 [<c02f282d>] unix_stream_sendmsg+0x13d/0x329
 [<c0298b72>] sock_sendmsg+0xdf/0xfb
 [<c012df27>] autoremove_wake_function+0x0/0x3a
 [<c015707e>] cache_alloc_debugcheck_after+0xc1/0xfb
 [<c0157182>] kmem_cache_alloc+0xca/0xd5
 [<c014ca7e>] find_extend_vma+0x17/0x52
 [<c013210e>] get_futex_key+0x3c/0xc9
 [<c029a107>] sys_sendto+0xfb/0x11f
 [<c014cf6f>] vma_adjust+0x38b/0x3bc
 [<c01587db>] kmem_cache_free+0x3f/0x9c
 [<c014cf6f>] vma_adjust+0x38b/0x3bc
 [<c014d356>] vma_merge+0xd1/0x155
 [<c029a144>] sys_send+0x19/0x1d
 [<c029a368>] sys_socketcall+0xf6/0x1a7
 [<c0104b3d>] syscall_call+0x7/0xb
Code: 89 44 24 14 c7 44 24 1c 00 00 00 00 8b 4c 24 1c 01 f9 89 4c 24 08 89 4c 24
58 bb 06 00 00 00 8b 4c 24 04 e8 2a bf fe ff 48 74 08 <0f> 0b 81 01 c9 09 31 c0
8b 4c 24 58 c1 e1 0c 0b 0d 38 61 35 c0 
 <3>Debug: sleeping function called from invalid context at include/linux/rwsem.h:43
in_atomic():0, irqs_disabled():1
 [<c013277f>] do_futex+0x25b/0x8d3
 [<c01ddab2>] vgacon_scroll+0x197/0x1b2
 [<c012df3f>] autoremove_wake_function+0x18/0x3a
 [<c01157a4>] __wake_up_common+0x2b/0x50
 [<c01176e7>] __wake_up+0x2a/0x3d
 [<c02f899d>] _spin_unlock_irqrestore+0x9/0x31
 [<c011c9e2>] release_console_sem+0x1c8/0x1d0
 [<c011ce8e>] vprintk+0x18e/0x322
 [<c011ce8e>] vprintk+0x18e/0x322
 [<c0104b3d>] syscall_call+0x7/0xb
 [<c0132ea0>] sys_futex+0xa9/0xb7
 [<c011a547>] mm_release+0x5a/0x60
 [<c011ddd6>] exit_mm+0x10/0x118
 [<c011f5e1>] do_exit+0x1a5/0x6fb
 [<c0105670>] do_trap+0x0/0xc6
 [<c0105d6c>] do_invalid_op+0x0/0x9e
 [<c0105dfe>] do_invalid_op+0x92/0x9e
 [<c0115259>] xen_create_contiguous_region+0x300/0x399
 [<c0104ce3>] error_code+0x2b/0x30
 [<c0115259>] xen_create_contiguous_region+0x300/0x399
 [<c0235764>] skbuff_ctor+0x24/0x4f
 [<c01570ae>] cache_alloc_debugcheck_after+0xf1/0xfb
 [<c0157182>] kmem_cache_alloc+0xca/0xd5
 [<c029e218>] alloc_skb_from_cache+0x41/0xf5
 [<c029e218>] alloc_skb_from_cache+0x41/0xf5
 [<c029e218>] alloc_skb_from_cache+0x41/0xf5
 [<c023585b>] __alloc_skb+0x70/0x75
 [<c029b082>] sock_alloc_send_skb+0x5b/0x1a0
 [<c01aaee4>] socket_has_perm+0x54/0x5f
 [<c02f282d>] unix_stream_sendmsg+0x13d/0x329
 [<c0298b72>] sock_sendmsg+0xdf/0xfb
 [<c012df27>] autoremove_wake_function+0x0/0x3a
 [<c015707e>] cache_alloc_debugcheck_after+0xc1/0xfb
 [<c0157182>] kmem_cache_alloc+0xca/0xd5
 [<c014ca7e>] find_extend_vma+0x17/0x52
 [<c013210e>] get_futex_key+0x3c/0xc9
 [<c029a107>] sys_sendto+0xfb/0x11f
 [<c014cf6f>] vma_adjust+0x38b/0x3bc
 [<c01587db>] kmem_cache_free+0x3f/0x9c
 [<c014cf6f>] vma_adjust+0x38b/0x3bc
 [<c014d356>] vma_merge+0xd1/0x155
 [<c029a144>] sys_send+0x19/0x1d
 [<c029a368>] sys_socketcall+0xf6/0x1a7
 [<c0104b3d>] syscall_call+0x7/0xb
Comment 1 Brian Brock 2006-03-07 12:49:10 EST
not 100% reproducible.

I rebooted the system, established very similar settings, and ran the same test
without triggering BUG().
Comment 2 Brian Brock 2006-03-07 12:52:14 EST
The xen_net messages concern me.  I should not have created network load; the
network stress tests did not have a remote server to contact.
Comment 3 Stephen Tweedie 2006-03-15 17:03:57 EST
Any local network traffic between xen0 and xenU domains or between xenUs will
still cause netback traffic.
Comment 4 Ken Tanzer 2006-04-19 02:36:40 EDT
I got this error too.  I copied one xen machine to another, and then tried
scp-ing a 350 MB file from one to the other.  It got about 43 MB in (going very
fast, around 8 MB/s), and then the scp-source xen machine crashed.  I started
the machine back up, and it has successfully completed the copy 3 times in a
row, so not very reproducible.  Running 2.6.16-1.2080_FC5xenU.  

Hope this helps:

[ktanzer@localhost ~]$ ------------[ cut here ]------------
kernel BUG at arch/i386/mm/hypervisor.c:385!
invalid opcode: 0000 [#1]
SMP
Modules linked in: ipv6 autofs4 sunrpc xennet ip_conntrack_netbios_ns ipt_REJECT
xt_state ip_conntrack nfnetlink xt_tcpudp iptable_filter ip_tables x_tables
nvram dm_snapshot dm_zero dm_mirror dm_mod
CPU:    0
EIP:    0061:[<c0110559>]    Not tainted VLI
EFLAGS: 00210096   (2.6.16-1.2080_FC5xenU #1)
EIP is at xen_create_contiguous_region+0x300/0x399
eax: ffffffff   ebx: 00000006   ecx: ce895ce0   edx: 0002f70c
esi: 00000000   edi: 000061ea   ebp: c61eb000   esp: ce895c9c
ds: 007b   es: 007b   ss: 0069
Process scp (pid: 1321, threadinfo=ce894000 task=c04dc750)
Stack: <0>c02e7c80 ce895ce0 000061eb 00000002 00000000 000187ac c10c3d40 00000001
       00000034 00000000 00000000 00000000 00000000 00000000 c1128960 00000000
       00000000 ce895cf4 00000001 00000000 00000000 00007ff0 000061eb cbd6025c
Call Trace:
 [<c020f690>] skbuff_ctor+0x24/0x4f
 [<c01502c7>] cache_alloc_refill+0x3d2/0x4d3
 [<c014fec1>] kmem_cache_alloc+0x66/0x9a
 [<c02450b8>] alloc_skb_from_cache+0x41/0xf5
 [<c020f787>] __alloc_skb+0x70/0x75
 [<c0241f36>] sock_alloc_send_skb+0x5b/0x1a0
 [<c01baa5c>] socket_has_perm+0x54/0x5f
 [<c02971c8>] unix_stream_sendmsg+0x13d/0x329
 [<c023f745>] do_sock_write+0xa3/0xac
 [<c023fc23>] sock_aio_write+0x56/0x63
 [<c015327c>] do_sync_write+0xc0/0xf3
 [<c012923b>] autoremove_wake_function+0x0/0x3a
 [<c0153b13>] vfs_write+0xad/0x136
 [<c01540f0>] sys_write+0x3b/0x64
 [<c0104b15>] syscall_call+0x7/0xb
Code: 89 44 24 14 c7 44 24 1c 00 00 00 00 8b 4c 24 1c 01 f9 89 4c 24 08 89 4c 24
58 bb 06 00 00 00 8b 4c 24 04 e8 2a 0c ff ff 48 74 08 <0f> 0b 81 01 db e1 2a c0
8b 4c 24 58 c1 e1 0c 0b 0d 38 03 2e c0
 <3>Debug: sleeping function called from invalid context at include/linux/rwsem.h:43
in_atomic():0, irqs_disabled():1
 [<c0118f97>] exit_mm+0x29/0x118
 [<c011a789>] do_exit+0x1a5/0x6f4
 [<c0105648>] do_trap+0x0/0xc6
 [<c0105d2b>] do_invalid_op+0x0/0x9e
 [<c0105dbd>] do_invalid_op+0x92/0x9e
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c01d2772>] generic_make_request+0x17e/0x190
 [<c0104cbb>] error_code+0x2b/0x30
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c020f690>] skbuff_ctor+0x24/0x4f
 [<c01502c7>] cache_alloc_refill+0x3d2/0x4d3
 [<c014fec1>] kmem_cache_alloc+0x66/0x9a
 [<c02450b8>] alloc_skb_from_cache+0x41/0xf5
 [<c020f787>] __alloc_skb+0x70/0x75
 [<c0241f36>] sock_alloc_send_skb+0x5b/0x1a0
 [<c01baa5c>] socket_has_perm+0x54/0x5f
 [<c02971c8>] unix_stream_sendmsg+0x13d/0x329
 [<c023f745>] do_sock_write+0xa3/0xac
 [<c023fc23>] sock_aio_write+0x56/0x63
 [<c015327c>] do_sync_write+0xc0/0xf3
 [<c012923b>] autoremove_wake_function+0x0/0x3a
 [<c0153b13>] vfs_write+0xad/0x136
 [<c01540f0>] sys_write+0x3b/0x64
 [<c0104b15>] syscall_call+0x7/0xb
Badness in local_bh_enable at kernel/softirq.c:140 (Not tainted)
 [<c011c401>] local_bh_enable+0x3f/0x78
 [<c0241d9f>] lock_sock+0xb1/0xb9
 [<c013c127>] free_hot_cold_page+0x21/0x152
 [<c01434ec>] free_pgd_range+0x14a/0x1b6
 [<c023fac5>] sock_fasync+0x63/0x125
 [<c029c8db>] _spin_lock+0x6/0x8
 [<c023ff27>] sock_close+0x23/0x33
 [<c0154441>] __fput+0xab/0x163
 [<c0151e17>] filp_close+0x4e/0x57
 [<c011949e>] put_files_struct+0x62/0xa2
 [<c011a7bf>] do_exit+0x1db/0x6f4
 [<c0105648>] do_trap+0x0/0xc6
 [<c0105d2b>] do_invalid_op+0x0/0x9e
 [<c0105dbd>] do_invalid_op+0x92/0x9e
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c01d2772>] generic_make_request+0x17e/0x190
 [<c0104cbb>] error_code+0x2b/0x30
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c020f690>] skbuff_ctor+0x24/0x4f
 [<c01502c7>] cache_alloc_refill+0x3d2/0x4d3
 [<c014fec1>] kmem_cache_alloc+0x66/0x9a
 [<c02450b8>] alloc_skb_from_cache+0x41/0xf5
 [<c020f787>] __alloc_skb+0x70/0x75
 [<c0241f36>] sock_alloc_send_skb+0x5b/0x1a0
 [<c01baa5c>] socket_has_perm+0x54/0x5f
 [<c02971c8>] unix_stream_sendmsg+0x13d/0x329
 [<c023f745>] do_sock_write+0xa3/0xac
 [<c023fc23>] sock_aio_write+0x56/0x63
 [<c015327c>] do_sync_write+0xc0/0xf3
 [<c012923b>] autoremove_wake_function+0x0/0x3a
 [<c0153b13>] vfs_write+0xad/0x136
 [<c01540f0>] sys_write+0x3b/0x64
 [<c0104b15>] syscall_call+0x7/0xb
Badness in local_bh_enable at kernel/softirq.c:140 (Not tainted)
 [<c011c401>] local_bh_enable+0x3f/0x78
 [<c023fb7e>] sock_fasync+0x11c/0x125
 [<c023ff27>] sock_close+0x23/0x33
 [<c0154441>] __fput+0xab/0x163
 [<c0151e17>] filp_close+0x4e/0x57
 [<c011949e>] put_files_struct+0x62/0xa2
 [<c011a7bf>] do_exit+0x1db/0x6f4
 [<c0105648>] do_trap+0x0/0xc6
 [<c0105d2b>] do_invalid_op+0x0/0x9e
 [<c0105dbd>] do_invalid_op+0x92/0x9e
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c01d2772>] generic_make_request+0x17e/0x190
 [<c0104cbb>] error_code+0x2b/0x30
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c020f690>] skbuff_ctor+0x24/0x4f
 [<c01502c7>] cache_alloc_refill+0x3d2/0x4d3
 [<c014fec1>] kmem_cache_alloc+0x66/0x9a
 [<c02450b8>] alloc_skb_from_cache+0x41/0xf5
 [<c020f787>] __alloc_skb+0x70/0x75
 [<c0241f36>] sock_alloc_send_skb+0x5b/0x1a0
 [<c01baa5c>] socket_has_perm+0x54/0x5f
 [<c02971c8>] unix_stream_sendmsg+0x13d/0x329
 [<c023f745>] do_sock_write+0xa3/0xac
 [<c023fc23>] sock_aio_write+0x56/0x63
 [<c015327c>] do_sync_write+0xc0/0xf3
 [<c012923b>] autoremove_wake_function+0x0/0x3a
 [<c0153b13>] vfs_write+0xad/0x136
 [<c01540f0>] sys_write+0x3b/0x64
 [<c0104b15>] syscall_call+0x7/0xb
Badness in local_bh_enable at kernel/softirq.c:140 (Not tainted)
 [<c011c401>] local_bh_enable+0x3f/0x78
 [<c0296155>] unix_release_sock+0x60/0x1f7
 [<c023fe8b>] sock_release+0x14/0x8d
 [<c023ff30>] sock_close+0x2c/0x33
 [<c0154441>] __fput+0xab/0x163
 [<c0151e17>] filp_close+0x4e/0x57
 [<c011949e>] put_files_struct+0x62/0xa2
 [<c011a7bf>] do_exit+0x1db/0x6f4
 [<c0105648>] do_trap+0x0/0xc6
 [<c0105d2b>] do_invalid_op+0x0/0x9e
 [<c0105dbd>] do_invalid_op+0x92/0x9e
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c01d2772>] generic_make_request+0x17e/0x190
 [<c0104cbb>] error_code+0x2b/0x30
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c020f690>] skbuff_ctor+0x24/0x4f
 [<c01502c7>] cache_alloc_refill+0x3d2/0x4d3
 [<c014fec1>] kmem_cache_alloc+0x66/0x9a
 [<c02450b8>] alloc_skb_from_cache+0x41/0xf5
 [<c020f787>] __alloc_skb+0x70/0x75
 [<c0241f36>] sock_alloc_send_skb+0x5b/0x1a0
 [<c01baa5c>] socket_has_perm+0x54/0x5f
 [<c02971c8>] unix_stream_sendmsg+0x13d/0x329
 [<c023f745>] do_sock_write+0xa3/0xac
 [<c023fc23>] sock_aio_write+0x56/0x63
 [<c015327c>] do_sync_write+0xc0/0xf3
 [<c012923b>] autoremove_wake_function+0x0/0x3a
 [<c0153b13>] vfs_write+0xad/0x136
 [<c01540f0>] sys_write+0x3b/0x64
 [<c0104b15>] syscall_call+0x7/0xb
Badness in local_bh_enable at kernel/softirq.c:140 (Not tainted)
 [<c011c401>] local_bh_enable+0x3f/0x78
 [<c0241d9f>] lock_sock+0xb1/0xb9
 [<c029ca25>] _spin_unlock_irqrestore+0x9/0x31
 [<c029c8cb>] _spin_unlock+0x6/0x8
 [<c023fac5>] sock_fasync+0x63/0x125
 [<c029c8db>] _spin_lock+0x6/0x8
 [<c023ff27>] sock_close+0x23/0x33
 [<c0154441>] __fput+0xab/0x163
 [<c0151e17>] filp_close+0x4e/0x57
 [<c011949e>] put_files_struct+0x62/0xa2
 [<c011a7bf>] do_exit+0x1db/0x6f4
 [<c0105648>] do_trap+0x0/0xc6
 [<c0105d2b>] do_invalid_op+0x0/0x9e
 [<c0105dbd>] do_invalid_op+0x92/0x9e
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c01d2772>] generic_make_request+0x17e/0x190
 [<c0104cbb>] error_code+0x2b/0x30
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c020f690>] skbuff_ctor+0x24/0x4f
 [<c01502c7>] cache_alloc_refill+0x3d2/0x4d3
 [<c014fec1>] kmem_cache_alloc+0x66/0x9a
 [<c02450b8>] alloc_skb_from_cache+0x41/0xf5
 [<c020f787>] __alloc_skb+0x70/0x75
 [<c0241f36>] sock_alloc_send_skb+0x5b/0x1a0
 [<c01baa5c>] socket_has_perm+0x54/0x5f
 [<c02971c8>] unix_stream_sendmsg+0x13d/0x329
 [<c023f745>] do_sock_write+0xa3/0xac
 [<c023fc23>] sock_aio_write+0x56/0x63
 [<c015327c>] do_sync_write+0xc0/0xf3
 [<c012923b>] autoremove_wake_function+0x0/0x3a
 [<c0153b13>] vfs_write+0xad/0x136
 [<c01540f0>] sys_write+0x3b/0x64
 [<c0104b15>] syscall_call+0x7/0xb
Badness in local_bh_enable at kernel/softirq.c:140 (Not tainted)
 [<c011c401>] local_bh_enable+0x3f/0x78
 [<c023fb7e>] sock_fasync+0x11c/0x125
 [<c023ff27>] sock_close+0x23/0x33
 [<c0154441>] __fput+0xab/0x163
 [<c0151e17>] filp_close+0x4e/0x57
 [<c011949e>] put_files_struct+0x62/0xa2
 [<c011a7bf>] do_exit+0x1db/0x6f4
 [<c0105648>] do_trap+0x0/0xc6
 [<c0105d2b>] do_invalid_op+0x0/0x9e
 [<c0105dbd>] do_invalid_op+0x92/0x9e
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c01d2772>] generic_make_request+0x17e/0x190
 [<c0104cbb>] error_code+0x2b/0x30
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c020f690>] skbuff_ctor+0x24/0x4f
 [<c01502c7>] cache_alloc_refill+0x3d2/0x4d3
 [<c014fec1>] kmem_cache_alloc+0x66/0x9a
 [<c02450b8>] alloc_skb_from_cache+0x41/0xf5
 [<c020f787>] __alloc_skb+0x70/0x75
 [<c0241f36>] sock_alloc_send_skb+0x5b/0x1a0
 [<c01baa5c>] socket_has_perm+0x54/0x5f
 [<c02971c8>] unix_stream_sendmsg+0x13d/0x329
 [<c023f745>] do_sock_write+0xa3/0xac
 [<c023fc23>] sock_aio_write+0x56/0x63
 [<c015327c>] do_sync_write+0xc0/0xf3
 [<c012923b>] autoremove_wake_function+0x0/0x3a
 [<c0153b13>] vfs_write+0xad/0x136
 [<c01540f0>] sys_write+0x3b/0x64
 [<c0104b15>] syscall_call+0x7/0xb
Badness in local_bh_enable at kernel/softirq.c:140 (Not tainted)
 [<c011c401>] local_bh_enable+0x3f/0x78
 [<c0296155>] unix_release_sock+0x60/0x1f7
 [<c023fe8b>] sock_release+0x14/0x8d
 [<c023ff30>] sock_close+0x2c/0x33
 [<c0154441>] __fput+0xab/0x163
 [<c0151e17>] filp_close+0x4e/0x57
 [<c011949e>] put_files_struct+0x62/0xa2
 [<c011a7bf>] do_exit+0x1db/0x6f4
 [<c0105648>] do_trap+0x0/0xc6
 [<c0105d2b>] do_invalid_op+0x0/0x9e
 [<c0105dbd>] do_invalid_op+0x92/0x9e
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c01d2772>] generic_make_request+0x17e/0x190
 [<c0104cbb>] error_code+0x2b/0x30
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c020f690>] skbuff_ctor+0x24/0x4f
 [<c01502c7>] cache_alloc_refill+0x3d2/0x4d3
 [<c014fec1>] kmem_cache_alloc+0x66/0x9a
 [<c02450b8>] alloc_skb_from_cache+0x41/0xf5
 [<c020f787>] __alloc_skb+0x70/0x75
 [<c0241f36>] sock_alloc_send_skb+0x5b/0x1a0
 [<c01baa5c>] socket_has_perm+0x54/0x5f
 [<c02971c8>] unix_stream_sendmsg+0x13d/0x329
 [<c023f745>] do_sock_write+0xa3/0xac
 [<c023fc23>] sock_aio_write+0x56/0x63
 [<c015327c>] do_sync_write+0xc0/0xf3
 [<c012923b>] autoremove_wake_function+0x0/0x3a
 [<c0153b13>] vfs_write+0xad/0x136
 [<c01540f0>] sys_write+0x3b/0x64
 [<c0104b15>] syscall_call+0x7/0xb
BUG: spinlock recursion on CPU#0, scp/1321 (Not tainted)
 lock: c02f6760, .magic: dead4ead, .owner: scp/1321, .owner_cpu: 0
 [<c01e14af>] spin_bug+0x87/0xe9
 [<c01e1650>] _raw_spin_lock+0x36/0xd1
 [<c029c927>] _spin_lock_irqsave+0x22/0x27
 [<c021102f>] balloon_update_driver_allowance+0xf/0x22
 [<d10bea57>] netif_poll+0x2e6/0x752 [xennet]
 [<c0249ed3>] net_rx_action+0xcd/0x201
 [<c011c27e>] __do_softirq+0x70/0xef
 [<c011c33d>] do_softirq+0x40/0x67
 [<c01062b7>] do_IRQ+0x22/0x28
 [<c020e362>] evtchn_do_upcall+0x63/0x9d
 [<c0104cec>] hypervisor_callback+0x2c/0x34
 [<c01f007b>] fb_mmap+0x69/0x138
 [<c020de8c>] force_evtchn_callback+0xa/0xc
 [<c011ac7d>] do_exit+0x699/0x6f4
 [<c0105648>] do_trap+0x0/0xc6
 [<c0105d2b>] do_invalid_op+0x0/0x9e
 [<c0105dbd>] do_invalid_op+0x92/0x9e
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c01d2772>] generic_make_request+0x17e/0x190
 [<c0104cbb>] error_code+0x2b/0x30
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c020f690>] skbuff_ctor+0x24/0x4f
 [<c01502c7>] cache_alloc_refill+0x3d2/0x4d3
 [<c014fec1>] kmem_cache_alloc+0x66/0x9a
 [<c02450b8>] alloc_skb_from_cache+0x41/0xf5
 [<c020f787>] __alloc_skb+0x70/0x75
 [<c0241f36>] sock_alloc_send_skb+0x5b/0x1a0
 [<c01baa5c>] socket_has_perm+0x54/0x5f
 [<c02971c8>] unix_stream_sendmsg+0x13d/0x329
 [<c023f745>] do_sock_write+0xa3/0xac
 [<c023fc23>] sock_aio_write+0x56/0x63
 [<c015327c>] do_sync_write+0xc0/0xf3
 [<c012923b>] autoremove_wake_function+0x0/0x3a
 [<c0153b13>] vfs_write+0xad/0x136
 [<c01540f0>] sys_write+0x3b/0x64
 [<c0104b15>] syscall_call+0x7/0xb
Kernel panic - not syncing: bad locking
 [<c0117750>] panic+0x3c/0x188
 [<c01e14d2>] spin_bug+0xaa/0xe9
 [<c01e1650>] _raw_spin_lock+0x36/0xd1
 [<c029c927>] _spin_lock_irqsave+0x22/0x27
 [<c021102f>] balloon_update_driver_allowance+0xf/0x22
 [<d10bea57>] netif_poll+0x2e6/0x752 [xennet]
 [<c0249ed3>] net_rx_action+0xcd/0x201
 [<c011c27e>] __do_softirq+0x70/0xef
 [<c011c33d>] do_softirq+0x40/0x67
 [<c01062b7>] do_IRQ+0x22/0x28
 [<c020e362>] evtchn_do_upcall+0x63/0x9d
 [<c0104cec>] hypervisor_callback+0x2c/0x34
 [<c01f007b>] fb_mmap+0x69/0x138
 [<c020de8c>] force_evtchn_callback+0xa/0xc
 [<c011ac7d>] do_exit+0x699/0x6f4
 [<c0105648>] do_trap+0x0/0xc6
 [<c0105d2b>] do_invalid_op+0x0/0x9e
 [<c0105dbd>] do_invalid_op+0x92/0x9e
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c01d2772>] generic_make_request+0x17e/0x190
 [<c0104cbb>] error_code+0x2b/0x30
 [<c0110559>] xen_create_contiguous_region+0x300/0x399
 [<c020f690>] skbuff_ctor+0x24/0x4f
 [<c01502c7>] cache_alloc_refill+0x3d2/0x4d3
 [<c014fec1>] kmem_cache_alloc+0x66/0x9a
 [<c02450b8>] alloc_skb_from_cache+0x41/0xf5
 [<c020f787>] __alloc_skb+0x70/0x75
 [<c0241f36>] sock_alloc_send_skb+0x5b/0x1a0
 [<c01baa5c>] socket_has_perm+0x54/0x5f
 [<c02971c8>] unix_stream_sendmsg+0x13d/0x329
 [<c023f745>] do_sock_write+0xa3/0xac
 [<c023fc23>] sock_aio_write+0x56/0x63
 [<c015327c>] do_sync_write+0xc0/0xf3
 [<c012923b>] autoremove_wake_function+0x0/0x3a
 [<c0153b13>] vfs_write+0xad/0x136
 [<c01540f0>] sys_write+0x3b/0x64
 [<c0104b15>] syscall_call+0x7/0xb
 [root@localhost ~]#
Comment 5 James Morris 2006-07-27 16:22:15 EDT
Has anyone seen this bug recently?
Comment 6 Brian Stein 2006-10-18 15:39:51 EDT
Please confirm this behavior or close.
Comment 7 Stephen Tweedie 2007-03-08 17:02:05 EST
Closing as unreproducible; please reopen if it recurs.

Note You need to log in before you can comment on or make changes to this bug.